Subject: [dhcwg] Mobility support in DHCPv6

From: 차현욱 <[email-masked]>
Date: Thu, 15 May 2008 00:47:53 +0000 (GMT)

Hello, all.

Several questions were popped up in my mind during I read the section 6.11 "Supporting DHCPv6 based Address Configuration on the Access Link" in the recent PMIPv6 draft "draft-ietf-netlmm-proxymip6-14.txt". 

1. unique home network prefix on per-interface basis.
A DHCPv6 server leases only IPv6 addresses(/128) to clients without information regarding prefix of leased addresses. Since servers and potetially relays can know binding informations of clients, MAP can keep track of current location of home addresses instead of home network prefix. 
2. Advertising home network prefix in other networks.
For bindings obtained via DHCPv6 to be preserved, PIO for home network prefixes is not reguired to be advertised in remote networks. Also, it will be fine that all packets are forwarded via default gateways (MAGs serving remote networks). 

IMO, simple solutions which may require reasonal extensions in the current DHCPv6 standard (RFC 3315) are worthy to be considered. If you have other opinions, please let me know. 

Thank you in advance. 

--Joseph 
Software Engineer 
SAMSUNG Electronics, Inc.
  If you do not stand firm in your faith, 
  you will not stand at all.  - Isaiah 7:9
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Francis Dupont <[email-masked]>
Date: Thu, 15 May 2008 09:32:11 +0200

DHCPv6 doesn't provide all the informations needed for a host
configuration, for instance it doesn't provide the prefix length
or whether the prefix is on-line or not (cf the recent 6man I-D
about subnets vs. prefixes).
So if you believe this should be changed, netlmm or dhc WGs are not
the right place. In general, I strongly object any proposal to "adapt"
IPv6 core protocols to mobility done by a mobility WG outside its charter.

Thanks

[email-masked]
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg